#
# spec file for package diffutils (Version 2.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         diffutils
Copyright:    GPL
Group:        Applications/Text
Obsoletes:    diff 
Autoreqprov:  on
Version:      2.7
Release:      133
Summary:      GNU diffutils
Source: diffutils-%{version}.tar.gz
Patch: diffutils-%{version}.dif
BuildRoot: /tmp/buildroot-%{name}

%description
The GNU diff utilities find differences between files (to make
source code patches, for instance).

Authors:
--------
    Paul Eggert <eggert@twinsun.com>
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Roland McGrath <roland@gnu.ai.mit.edu>

SuSE series: a

%prep
%setup
%patch

%build
CFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='${INSTALL} -s' \
./configure --prefix=/usr
make

%install
make install prefix="$RPM_BUILD_ROOT/usr" \
     infodir="$RPM_BUILD_ROOT%{_infodir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/cmp
/usr/bin/diff
/usr/bin/diff3
/usr/bin/sdiff
%doc %{_infodir}/diff.info-*.gz
%doc %{_infodir}/diff.info.gz

%changelog -n diffutils
* Sat Jan 13 2001 - schwab@suse.de
- Fix last change to close resource leaks.
* Sat Jan 13 2001 - draht@suse.de
- tmpfile security problem fixed using mkstemp().
* Sun Dec 03 2000 - schwab@suse.de
- diff: Fix a corner case in handling of directories.
- sdiff: Fix reading of split lines.
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from diff.
* Fri Sep 08 2000 - schwab@suse.de
- Switch to BuildRoot.
- Add group tag.
- Use %%{_infodir}.
* Tue Jan 18 2000 - schwab@suse.de
- /usr/info -> /usr/share/info
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- specfile cleanup
* Fri Dec 18 1998 - ro@suse.de
- dont use m486 on alpha :-)
* Thu Jan 02 1997 - florian@suse.de
  bug-fix for sdiff
